package com.edgec.browserbackend.account.service;


import com.edgec.browserbackend.account.domain.UserBalance;
import com.edgec.browserbackend.account.domain.UserPaymentDto;
import com.edgec.browserbackend.account.dto.AlipayReturnDto;

public interface PaymentService {

   UserPaymentDto wxPutPayOrder(String username, int amount);

   AlipayReturnDto alipayPutPayOrder(String username, int amount, String by);

   String wechatPayCallback(String tradno);

   UserPaymentDto wxCheckOrderStatus(String tradno);

    UserPaymentDto aliCheckOrderStatus(String tradno);

    void alipaCallback(String tradno);

    UserBalance bankTransferInsertion(String username, int amount);

    UserPaymentDto h5wxPayOrder(String ip, String username, int amount);

}
